Build #8 for ztail-1.0.2

[all reports]

Package ztail-1.0.2
Install DependencyFailed hinotify-0.3.2
Docs NotTried
Tests NotTried
Time submitted 2016-12-25 04:40:07.294036 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies array-0.5.1.1, base-4.9.0.0, hinotify-0.3.2, old-locale-1.0.0.7, process-1.4.2.0, regex-compat-0.95.1, time-1.6.0.1, unix-2.7.2.0
Flags inotify

Build log

[view raw]

Resolving dependencies...
Configuring hinotify-0.3.2...
Configuring mtl-2.2.1...
Building hinotify-0.3.2...
Building mtl-2.2.1...
Configuring old-locale-1.0.0.7...
Failed to install hinotify-0.3.2
Build log ( /home/builder/.cabal/logs/hinotify-0.3.2.log ):
cabal: Entering directory '/tmp/cabal-tmp-2826/hinotify-0.3.2'
Configuring hinotify-0.3.2...
Building hinotify-0.3.2...
Preprocessing library hinotify-0.3.2...
[1 of 2] Compiling System.INotify.Masks ( dist/build/System/INotify/Masks.hs, dist/build/System/INotify/Masks.o )
[2 of 2] Compiling System.INotify   ( dist/build/System/INotify.hs, dist/build/System/INotify.o )

src/System/INotify.hsc:316:13: error:
    • Variable not in scope: catch :: IO () -> (t0 -> m0 ()) -> IO b0
    • Perhaps you want to add ‘catch’ to the import list
      in the import of ‘Control.Exception’
      (src/System/INotify.hsc:41:1-34).

src/System/INotify.hsc:322:27: error:
    • Variable not in scope: catch :: IO () -> (t1 -> m1 ()) -> IO ()
    • Perhaps you want to add ‘catch’ to the import list
      in the import of ‘Control.Exception’
      (src/System/INotify.hsc:41:1-34).
cabal: Leaving directory '/tmp/cabal-tmp-2826/hinotify-0.3.2'
Building old-locale-1.0.0.7...
Installed old-locale-1.0.0.7
Installed mtl-2.2.1
Configuring regex-base-0.93.2...
Building regex-base-0.93.2...
Installed regex-base-0.93.2
Configuring regex-posix-0.95.2...
Building regex-posix-0.95.2...
Installed regex-posix-0.95.2
Configuring regex-compat-0.95.1...
Building regex-compat-0.95.1...
Installed regex-compat-0.95.1
cabal: Error: some packages failed to install:
hinotify-0.3.2 failed during the building phase. The exception was:
ExitFailure 1
ztail-1.0.2 depends on hinotify-0.3.2 which failed to install.